Qt 5.11 | Qt Quick | C++ Classes | Attribute

Qt 5.11.3 Reference Documentation

# Attribute Class

(QSGGeometry::Attribute)

The QSGGeometry::Attribute describes a single vertex attribute in a QSGGeometry. More...

Header: | #include <Attribute>
qmake: | QT += quick

- List of all members, including inherited members

## Static Public Members

Attribute | create(int pos, int tupleSize, int primitiveType, bool isPosition = false)
Attribute | createWithAttributeType(int pos, int tupleSize, int primitiveType, AttributeType attributeType)

## Detailed Description

The QSGGeometry::Attribute describes a single vertex attribute in a QSGGeometry.

The QSGGeometry::Attribute struct describes the attribute register position, the size of the attribute tuple and the attribute type.

It also contains a hint to the renderer if this attribute is the attribute describing the position. The scene graph renderer may use this information to perform optimizations.

It contains a number of bits which are reserved for future use.

See also QSGGeometry.

## Member Function Documentation

### `[static]` Attribute Attribute::create(int pos, int tupleSize, int primitiveType, bool isPosition = false)

### `[static]` Attribute Attribute::createWithAttributeType(int pos, int tupleSize, int primitiveType, AttributeType attributeType)